boinc does not idle with mouse movement

Bug #128357 reported by Ben Levin
182
This bug affects 34 people
Affects Status Importance Assigned to Milestone
BOINC
New
Unknown
boinc (Debian)
Fix Released
Unknown
boinc (Fedora)
New
Unknown
boinc (Ubuntu)
Low
Unassigned
boinc (openSUSE)
Incomplete
Undecided
Unassigned

Bug Description

Binary package hint: boinc-client

When boinc is configured to idle during user activity, it continues running with only mouse activity. However, if the keyboard is used , the activity does suspend. I use the touchpad on a notebook which I suppose may have some impact on this issue, and the i810 driver for video. I discovered this issue in the feisty versions of GNOME and boinc-client.

Changed in boinc:
status: Unknown → New
Changed in boinc:
status: New → Confirmed
Revision history for this message
Daniel Hahler (blueyed) wrote :

This appears to be fixed upstream (around version 5.10.27), so it should be fixed in Hardy (where we have 5.10.30 currently).
Can you confirm this?

Changed in boinc:
assignee: nobody → blueyed
importance: Undecided → Low
status: New → Incomplete
Revision history for this message
Frank S. Thomas (fst) wrote : Re: [Bug 128357] Re: boinc does not idle with mouse movement

On Friday 28 December 2007 23:18, dAniel hAhler wrote:
> This appears to be fixed upstream (around version 5.10.27), so it should be
> fixed in Hardy (where we have 5.10.30 currently). Can you confirm this?

This is still broken, see http://boinc.berkeley.edu/trac/ticket/463 or
http://bugs.debian.org/448982.

Grüße,
Frank

Changed in boinc:
status: Unknown → New
Daniel Hahler (blueyed)
Changed in boinc:
assignee: blueyed → nobody
status: Incomplete → Triaged
Changed in boinc:
status: Unknown → Confirmed
Changed in boinc:
status: New → Fix Released
Changed in boinc:
status: Confirmed → Fix Released
Revision history for this message
Wouter Stomp (wouterstomp-deactivatedaccount) wrote :

This is fixed in debian's 5.10.30-3, so syncing from debian should fix this.

Changed in boinc:
status: Fix Released → Confirmed
Changed in boinc:
status: Triaged → Fix Released
Daniel Hahler (blueyed)
Changed in boinc:
status: Fix Released → Triaged
Revision history for this message
Wouter Stomp (wouterstomp-deactivatedaccount) wrote :

Sorry not fixed in that version according to debian bug report.

Revision history for this message
benzene (jhaman) wrote :

Not fixed in 5.10.45-1 (Hardy) - suspend in keybord activity but not with mouse.

Changed in boinc:
status: Fix Released → New
Changed in boinc:
status: Confirmed → Fix Released
Revision history for this message
Alejandro R. Mosteo (mosteo) wrote :

Same version as above poster, won't suspend for me neither on keyboard nor mouse activity.

$ uname -a
Linux hostname 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

Revision history for this message
Daniel Hahler (blueyed) wrote :

Yes, we know that it's not fixed yet.
According to the Debian bug task, it might be fixed in boinc 6.1.15-1, but the fix is unlikely to get backported from there. As far as I know, there's a new infrastructure to handle this better.

Out of curiosity: why do you need this? I cannot see a reason for this really (on Linux), where the CPU does not run on full speed, if there's only "nice" load and I cannot see any performance impact with running boinc-client permanently in the background (AMD64 3000+, running as 32bit).

Revision history for this message
Frank S. Thomas (fst) wrote :
  • unnamed Edit (189 bytes, application/pgp-signature; name=signature.asc )

Hi,

On Wednesday 30 April 2008 23:17, Daniel Hahler wrote:
> According to the Debian bug task, it might be fixed in boinc 6.1.15-1, but
> the fix is unlikely to get backported from there.

Actually it should be fairly easy to backport the "fix" for this bug to the
5.10 branch. Only these two commits that affect client/hostinfo_unix.C need
to be backported:
  http://boinc.berkeley.edu/trac/changeset/15049
  http://boinc.berkeley.edu/trac/changeset/15059

Note that the "fix" does not detect activity if the keyboard or mouse is
connected via USB. If someone knows how to detect general user activity
(including from USB HIDs) without the need of root privileges, please let me
know or add your infos to http://boinc.berkeley.edu/trac/ticket/463.

Cheers,
Frank

Revision history for this message
Greg A (etulfetulf) wrote :

Please can you confirm if this is fixed in Ubuntu Intrepid (testing version) as Intrepid currently has a version later than 6.1.15-1 (the version it was fixed in debian).

Revision history for this message
Alejandro R. Mosteo (mosteo) wrote :

I'm running 8.10 beta with latest updates and when Boinc is set to run on user preferences, and said preferences said to run only on idle, it's not honoring the setting.

In my case it starts running as soon as I change from 'suspend' to 'based on preferences', and does not stop neither by mouse nor keyboard activity.

Both boinc-manager and boinc-client version is, according to synaptic, 6.2.12-1.

Revision history for this message
Alejandro R. Mosteo (mosteo) wrote :

Looking at the upstream bug report, I must add because it may be related, that both my mouse and keyboard are USB attached.

Revision history for this message
Crosshair (will-e-carlson) wrote :

I am running 8.10 i386 final release and the aforementioned problem exists on BOINC 6.2.12-1.

Revision history for this message
Crosshair (will-e-carlson) wrote :

Running 6.4.5 on 8.10 x86_64 an problem still exists.

Revision history for this message
Alejandro R. Mosteo (mosteo) wrote :

Update:

Running 6.2.14 on 8.10 up-to-date as of 12/feb/09:

Mouse is not detected.
Keyboard in a console (in this case within Yakuake) *is* detected.
Keyboard in other applications (e.g. firefox while I write this report or pidgin) is *not* detected.

Revision history for this message
Everthon Valadão (valadao) wrote :

This bug is quite annoying, so I've uninstalled BOINC until they fix it.
(look, I'm glad to share my idle CPU, but I'm very disappointed to see BOINC as a continuous processing clog...)

Changed in boinc (Fedora):
status: Unknown → New
Revision history for this message
Claude Gagné (miltiad) wrote :

I have the exact same problem as the description on Ubuntu 9.04 x64 (effects enabled and NVIDIA driver 180) on boinc-client 6.2.18-3ubuntu1.

Revision history for this message
Henrik Melander (melander-henrik) wrote :

Same for me runnic karmic beta, nvidia 185 and boinc 6.4.5. Problem started under jaunty with nvidia 185 when I switched to USB mouse and keyboard.

Revision history for this message
Adam Maturin (amaturin) wrote :

I'm having this issue as well (Ubuntu 9.04 64-bit). Someone earlier asked why this feature is needed and well, I have a really powerful desktop computer and when I'm not using my computer (the mouse is not moving) I'd like all that power to be used for something I consider useful rather than just sitting idle. But, when I need to use my computer, I want all that power for myself - I'm selfish that way. I want BOINC using 10% or less of my resources when I need to use my computer, but it can have 100% while I'm not using it, and it should do this automatically. As above, I uninstalled BOINC until this gets fixed.

Revision history for this message
Geoffrey Pursell (geoffp) wrote :

New Debian bug that implicates the USB-specific issues described here.

Changed in boinc (Debian):
status: Fix Released → Unknown
Changed in boinc (Debian):
status: Unknown → Confirmed
Revision history for this message
Eero (eero+launchpad) wrote :

Still broken in Karmic. Using keyboard in gnome-terminal puts boinc to idle but for example using keyboard in firefox does not.

Revision history for this message
user (user2) wrote :

In my case (Ubuntu 9.10, 64 Bit, BOINC 6.10.17), nothing stops the BOINC computation - not even typing in a terminal.

Revision history for this message
Matt Hegarty (mrhegarty) wrote :

Also affecting me on Ubuntu 9.10 / BOINC 6.4.5 - task is always running despite keyboard/mouse activity.

Revision history for this message
fab (fab128) wrote :

Same for me: nothing idles boinc on Fedora 12 64 bit

Revision history for this message
Thomas U. (thomas-unterthiner) wrote :

For me it's quite the contrary (running Lucid beta2): boinc does never START running if I tell it only to run when the machine is idle. So the idle-detection does not seem to work.

Revision history for this message
Marcelo Toscani Brandão (mtbrandao) wrote :

Linux 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

I'm running Lucid, and for me after the set idle time (ex: after 10 minutes) it always start running.
Doesn't matter if I move the mouse or tap the keyboard. It doesn't stop.

It only stops if I open a gnome-terminal. (Really)

Revision history for this message
Claude Gagné (miltiad) wrote :

I got the exact same problem as comment #25

Revision history for this message
Marcelo Toscani Brandão (mtbrandao) wrote :

I don't really know for sure yet.
But look likes the new kernel update (2.6.32-23, or some update that came at the same time, like the gnome one) fixed it.

I've noticed that I'm working for hours without activating it.
And when the screensaver goes off, boinc stop the process too.

Revision history for this message
Marcelo Toscani Brandão (mtbrandao) wrote :

Fixed isn't yet, but it changed something.
It's started again, but as soon I started typing this message, it stopped.

Revision history for this message
LeOn (przemek) wrote :

I use Boinc Manager 6.10.58 and Ubuntu 10.04 64 with 2.6.32-24 cernel. Boinc does not suspend tasks when I use mouse or touchpad. It seems to stop when I use keyboard.

Revision history for this message
Skip Guenter (skip) wrote :

@ comment #18

Under Linux (at least for CPU apps, don't know about GPU) your BOINC tasks take a lower "niced" priority and so will give up their CPU slices to other things (you on the computer) by nature of how the thread scheduling works... Unless you've set SCHEDULE=0 (manually, it comes turned on, =1) then the child processes of BOINC also get "niced" down. So I think Daniel's point was that you don't really need to suspend BOINC like you do in Windows (again, I suspect this may not fully apply if you're doing GPU crunching). You can read anything on Linux thread priorities or "Nice" and will have surpassed my knowledge of this topic though.

Revision history for this message
rusivi2 (rusivi2-deactivatedaccount) wrote :

Thank you for posting this bug. If this is an issue with openSUSE as well please file with their bugzilla found at https://bugzilla.novell.com/index.cgi Thanks!

Changed in boinc (openSUSE):
status: New → Incomplete
Revision history for this message
Matt Dittloff (mattdittloff) wrote :

I have the same problem. After several minutes, it doesn't see that the computer is idle unless I open a terminal and type something in the terminal every several minutes.

I don't care about suspending the CPU because that doesn't lag my system. I do care about the GPU though. There doesn't seem to be a way to "nice" GPU processes to prevent CUDA projects from hogging the GPU.

Revision history for this message
Evgeny Kuznetsov (nekr0z) wrote :

On current Maverick, this bug still exists. On my laptop, touchpad actually suspends the computation, but USB-plugged mouse doesn't.

Revision history for this message
Branimir Kolar (branimir101) wrote :

This problem is still here. Maverick 10.10. Anyone doing anything about this? Or know a workaround?

Revision history for this message
Kaur Männamaa (kaurman) wrote :

All I can say is that I recently downloaded BOINC via worldcommunitygrid.org (ver 6.10.58) and the issue is still there...

Revision history for this message
Crosshair (will-e-carlson) wrote :

The only work around as of now is to insert any key stroke into the terminal.

Revision history for this message
Steffen Möller (moeller-debian) wrote :

On 01/28/2011 09:55 PM, Crosshair wrote:
> The only work around as of now is to insert any key stroke into the
> terminal.
For me BOINC is always on, anyway, tough to test the bug ...
could someone please try 6.12.8 in Debian experimental in this respect?

Many greetings

Steffen

Changed in boinc:
status: New → Fix Released
Changed in boinc (Fedora):
status: New → Fix Released
Revision history for this message
Scot Bernard (pablo-bueti) wrote :

Same here on Ubuntu 10.04 x64 all updated from repositories at 2011-02-16, kernel 2.6.32-28-generic, Boinc 6.10.17+dfsg-3ubuntu1 (boinc-client)

No matter if I type or move the mouse, with the setting "use only if inactive for x minutes" boinc process continues working.

Revision history for this message
stas (zheltov) wrote :

One more in.

Ubuntu 10.10 x64 kernel 2.6.32-28-generic. Gnome 2.32.0

Boinc 6.10.58 from repositories (apt-get). Laptop Latitude E6410, usb mouse and keyboard.

Suspends only if typing in terminal, other activities not detected.

Revision history for this message
Daniel Hahler (blueyed) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> could someone please try 6.12.8 in Debian experimental in this respect?

6.12.8 is also available for testing in:
https://launchpad.net/~pkg-boinc/+archive/ppa

- --
http://daniel.hahler.de/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFNmivlfAK/hT/mPgARAq2BAKDddGj+B27y4IhDOjP+vwQYo7lbxACdEsDj
+UJw2K8rFjwYJjxJU1o7kTE=
=BeRx
-----END PGP SIGNATURE-----

Revision history for this message
Daniel Hahler (blueyed) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> 6.12.8 is also available for testing in:
> https://launchpad.net/~pkg-boinc/+archive/ppa

6.12.18 even..

- --
http://daniel.hahler.de/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFNmiwWfAK/hT/mPgARAjBhAKCmGALEvwxaZ7saQQ5Ts72n5sdFqgCgzsOl
vOpocb6xvkz6QtLeMuPxrhk=
=MpGW
-----END PGP SIGNATURE-----

Revision history for this message
Kaur Männamaa (kaurman) wrote :

Tried it... The version from the ppa, that is.

Seems to be suffering from the same prob.

Revision history for this message
Christian Lins (cli) wrote :

Please note that the latest upstream patch for this issue requires special buildparameters (--with-xss or something) which links the binary agains libxss (X screen saver idle detection).
AFAIK this is not done in Debian because they don't want a command line client depending on a X library (a system without GUI does not suffer from this issue though). A solution to this would be to deliver a special "boinc" binary with the boinc-manager package.

Changed in boinc:
status: Fix Released → New
Changed in boinc (Fedora):
status: Fix Released → New
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

@Christian lins I agree with you, but please file a new bug if you want a special boinc version

Changed in boinc (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Steffen Möller (moeller-debian) wrote :

On 04/20/2011 12:08 AM, Christian Lins wrote:
> Please note that the latest upstream patch for this issue requires special buildparameters (--with-xss or something) which links the binary agains libxss (X screen saver idle detection).
> AFAIK this is not done in Debian because they don't want a command line client depending on a X library (a system without GUI does not suffer from this issue though). A solution to this would be to deliver a special "boinc" binary with the boinc-manager package.

Hm. With X on about every machine, I could live with that change. A problem with any such setup is most certainly independent from
the actual distribution. Is anyone on the Ubuntu side unhappy about trying a --with-xss? I am about to work on a package for
6.13.10, which could then just have it.

Steffen

Revision history for this message
Daniel Hahler (blueyed) wrote :

> With X on about every machine, I could live with that change.

Servers usually do not have X installed, but I would be glad to give a test-build a spin.

Apart from that, it may make sense to have a package for servers and another one for GUI/X clients.

Revision history for this message
Steffen Möller (moeller-debian) wrote :

On 11/01/2011 07:16 PM, Daniel Hahler wrote:
>> With X on about every machine, I could live with that change.
>
> Servers usually do not have X installed, but I would be glad to give a
> test-build a spin.
>
> Apart from that, it may make sense to have a package for servers and
> another one for GUI/X clients.

I had thought about that, but I am feeling sufficiently busy already.

Steffen

Changed in boinc (Debian):
status: Confirmed → Fix Released
Revision history for this message
Matt Dittloff (mattdittloff) wrote :

I'm using 12.04 Precise, BOINC version 7.0.24, and it does now seem to stop computation. However, now I'm having the opposite problem. It doesn't seem to detect that the computer is idle to be able to resume computation.

I have while computer is in use unchecked, and I have if the computer has been idle for 2 minutes. My work units switch to a status of "Suspended - computer is in use". I now step back from my computer and wait 2 minutes. My work units do not resume computation.

I think the idle detection is still broken. Now, instead of not detecting computer active to stop computation, it's now not detecting computer idle to resume computation.

Revision history for this message
Steffen Möller (moeller-debian) wrote :

On 07/08/2012 11:18 AM, Matt Dittloff wrote:
> I'm using 12.04 Precise, BOINC version 7.0.24, and it does now seem to
> stop computation. However, now I'm having the opposite problem. It
> doesn't seem to detect that the computer is idle to be able to resume
> computation.
>
> I have while computer is in use unchecked, and I have if the computer
> has been idle for 2 minutes. My work units switch to a status of
> "Suspended - computer is in use". I now step back from my computer and
> wait 2 minutes. My work units do not resume computation.

What happens when waiting for 10 minutes? How have you specified it in
the preferences?

> I think the idle detection is still broken. Now, instead of not
> detecting computer active to stop computation, it's now not detecting
> computer idle to resume computation.

Hm. The idea is to disturb you as little as possible. Is something else
running, possibly? Maybe one of those astray firefox instances or so?

Steffen

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

I noticed in the changeset that somebody included a patch in newer boinc versions (7.0.30+) to improve idle detection with usb mouses under linux.

I hope this bug will be fixed as soon as the new boinc 7.0.31 will be packaged.

Revision history for this message
Steffen Möller (moeller-debian) wrote :

On 07/08/2012 07:56 PM, Steffen Möller wrote:
> On 07/08/2012 11:18 AM, Matt Dittloff wrote:
>> I'm using 12.04 Precise, BOINC version 7.0.24, and it does now seem to
>> stop computation. However, now I'm having the opposite problem. It
>> doesn't seem to detect that the computer is idle to be able to resume
>> computation.
>>
>> I have while computer is in use unchecked, and I have if the computer
>> has been idle for 2 minutes. My work units switch to a status of
>> "Suspended - computer is in use". I now step back from my computer and
>> wait 2 minutes. My work units do not resume computation.
>
> What happens when waiting for 10 minutes? How have you specified it in
> the preferences?
>
>> I think the idle detection is still broken. Now, instead of not
>> detecting computer active to stop computation, it's now not detecting
>> computer idle to resume computation.
>
> Hm. The idea is to disturb you as little as possible. Is something else
> running, possibly? Maybe one of those astray firefox instances or so?

Update - it seems like I can confirm this with 7.0.30. Anybody else?

Steffen

Revision history for this message
Daniel Hahler (blueyed) wrote :

See bug 179849, which includes a link to the proposed fix: http://boinc.berkeley.edu/trac/changeset/25814/boinc

Please refer to bug 179849, which is more recent and not cluttered as much as this bug.

Revision history for this message
Jussi (jussi-lahtinen-gmail) wrote :

Duplicate stateus is incorrect. This is opposite of the problem in bug #179849.

bug #179849 = BOINC is suspended when it should run
bug #128357 = BOINC continues to run when it should suspend.

Ken Sharp (kennybobs)
tags: added: amd64 hardy i386 jaunty karmic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.